View Issue Details

IDProjectCategoryView StatusLast Update
0002670Ham Radio DeluxeBugpublic2018-05-13 15:26
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.840 
Summary0002670: Setup: installer image includes MSI engine
DescriptionThe Setup.EXE image shipped for the product includes Versions 3.0 and 3.1 of the MSI engine. It doesn't need to; any modern install of Windows (supported by HRD) will already have a usable version of MSI. These files can be removed to save space in the installation image.

Even if we did need an MSI engine, we should only ship one, and we should ship something newer.





Steps To ReproduceF:\HRDReleases>7z l setupHRD64_803.exe | findstr /i "Installer"
2005-07-19 16:48:07 ....A 951808 data\Microsoft Windows Installer 3.0\mWinRun.dll\ansi\instmsi.msi
2005-07-19 16:48:07 ....A 951808 data\Microsoft Windows Installer 3.1\mWinRun.dll\ansi\instmsi.msi
2004-11-12 18:27:16 ....A 83456 data\Microsoft Windows Installer 3.0\mWinRun.dll\ansi\msiexec.exe
2004-11-12 18:27:16 ....A 83456 data\Microsoft Windows Installer 3.1\mWinRun.dll\ansi\msiexec.exe
2004-11-12 18:27:16 ....A 36864 data\Microsoft Windows Installer 3.0\mWinRun.dll\ansi\msiinst.exe
2004-11-12 18:27:16 ....A 36864 data\Microsoft Windows Installer 3.1\mWinRun.dll\ansi\msiinst.exe
2005-11-01 20:08:25 ....A 2585872 data\Microsoft Windows Installer 3.1\mWinRun.dll\unicode\update.exe
2005-11-01 20:08:45 ....A 2003176 data\Microsoft Windows Installer 3.0\mWinRun.dll\unicode\update.exe
2004-11-12 18:27:16 ....A 56080 data\Microsoft Windows Installer 3.0\mWinRun.dll\ansi\cabinet.dll
2004-11-12 18:27:16 ....A 56080 data\Microsoft Windows Installer 3.1\mWinRun.dll\ansi\cabinet.dll
2004-11-12 18:27:16 ....A 106013 data\Microsoft Windows Installer 3.0\mWinRun.dll\ansi\imagehlp.dll
2004-11-12 18:27:16 ....A 106013 data\Microsoft Windows Installer 3.1\mWinRun.dll\ansi\imagehlp.dll
2004-11-12 18:27:16 ....A 1927680 data\Microsoft Windows Installer 3.0\mWinRun.dll\ansi\msi.dll
2004-11-12 18:27:16 ....A 1927680 data\Microsoft Windows Installer 3.1\mWinRun.dll\ansi\msi.dll
2004-11-12 18:27:16 ....A 297472 data\Microsoft Windows Installer 3.0\mWinRun.dll\ansi\msihnd.dll
2004-11-12 18:27:16 ....A 297472 data\Microsoft Windows Installer 3.1\mWinRun.dll\ansi\msihnd.dll
2004-11-12 18:27:16 ....A 847872 data\Microsoft Windows Installer 3.0\mWinRun.dll\ansi\msimsg.dll
2004-11-12 18:27:16 ....A 847872 data\Microsoft Windows Installer 3.1\mWinRun.dll\ansi\msimsg.dll
2004-11-12 18:27:17 ....A 40448 data\Microsoft Windows Installer 3.0\mWinRun.dll\ansi\msisip.dll
2004-11-12 18:27:17 ....A 40448 data\Microsoft Windows Installer 3.1\mWinRun.dll\ansi\msisip.dll
2004-11-12 18:27:17 ....A 167936 data\Microsoft Windows Installer 3.0\mWinRun.dll\ansi\msls31.dll
2004-11-12 18:27:17 ....A 167936 data\Microsoft Windows Installer 3.1\mWinRun.dll\ansi\msls31.dll
2004-11-12 18:27:17 ....A 28746 data\Microsoft Windows Installer 3.0\mWinRun.dll\ansi\mspatcha.dll
2004-11-12 18:27:17 ....A 28746 data\Microsoft Windows Installer 3.1\mWinRun.dll\ansi\mspatcha.dll
2017-12-18 18:02:54 ....A 1333248 data\Microsoft Windows Installer 3.0\mWinRun.dll\mWinRunExec.dll
2017-12-18 18:02:54 ....A 1333248 data\Microsoft Windows Installer 3.1\mWinRun.dll\mWinRunExec.dll
2004-11-12 18:27:17 ....A 431133 data\Microsoft Windows Installer 3.0\mWinRun.dll\ansi\riched20.dll
2004-11-12 18:27:17 ....A 431133 data\Microsoft Windows Installer 3.1\mWinRun.dll\ansi\riched20.dll
2004-11-12 18:27:17 ....A 63488 data\Microsoft Windows Installer 3.0\mWinRun.dll\ansi\sdbapi.dll
2004-11-12 18:27:17 ....A 63488 data\Microsoft Windows Installer 3.1\mWinRun.dll\ansi\sdbapi.dll
2004-11-12 18:27:17 ....A 21021 data\Microsoft Windows Installer 3.0\mWinRun.dll\ansi\shfolder.dll
2004-11-12 18:27:17 ....A 21021 data\Microsoft Windows Installer 3.1\mWinRun.dll\ansi\shfolder.dll
2004-11-12 18:27:17 ....A 314906 data\Microsoft Windows Installer 3.0\mWinRun.dll\ansi\usp10.dll
2004-11-12 18:27:17 ....A 314906 data\Microsoft Windows Installer 3.1\mWinRun.dll\ansi\usp10.dll
2004-11-12 18:27:16 ....A 134164 data\Microsoft Windows Installer 3.0\mWinRun.dll\ansi\msimain.sdb
2004-11-12 18:27:16 ....A 134164 data\Microsoft Windows Installer 3.1\mWinRun.dll\ansi\msimain.sdb
2018-03-02 12:59:37 D.... 0 0 data\Microsoft Windows Installer 3.1\mWinRun.dll\unicode
2018-03-02 12:59:37 D.... 0 0 data\Microsoft Windows Installer 3.1\mWinRun.dll\ansi
2018-03-02 12:59:37 D.... 0 0 data\Microsoft Windows Installer 3.1\mWinRun.dll
2018-03-02 12:59:36 D.... 0 0 data\Microsoft Windows Installer 3.1
2018-03-02 12:59:36 D.... 0 0 data\Microsoft Windows Installer 3.0\mWinRun.dll\unicode
2018-03-02 12:59:36 D.... 0 0 data\Microsoft Windows Installer 3.0\mWinRun.dll\ansi
2018-03-02 12:59:36 D.... 0 0 data\Microsoft Windows Installer 3.0\mWinRun.dll
2018-03-02 12:59:35 D.... 0 0 data\Microsoft Windows Installer 3.0
TagsNo tags attached.
ModuleAll
Sub-ModuleInstall
Testing N/A

Relationships

Activities

K7ZCZ

2018-04-14 18:40

manager   ~0004825

Fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4055

WA9PIE

2018-05-12 00:55

administrator   ~0004996

Reviewed.

WA9PIE

2018-05-12 01:09

administrator   ~0005012

Closed and waiting on May 2018 release

Issue History

Date Modified Username Field Change
2018-04-09 19:06 K7ZCZ New Issue
2018-04-14 18:40 K7ZCZ Assigned To => K7ZCZ
2018-04-14 18:40 K7ZCZ Status new => resolved
2018-04-14 18:40 K7ZCZ Resolution open => fixed
2018-04-14 18:40 K7ZCZ Module (select) => All
2018-04-14 18:40 K7ZCZ Sub-Module (select) => Install
2018-04-14 18:40 K7ZCZ Note Added: 0004825
2018-05-03 20:10 K7ZCZ Fixed in Version => 6.4.0.837
2018-05-12 00:55 WA9PIE Description Updated View Revisions
2018-05-12 00:55 WA9PIE Steps to Reproduce Updated View Revisions
2018-05-12 00:55 WA9PIE Testing Not Started => N/A
2018-05-12 00:55 WA9PIE Note Added: 0004996
2018-05-12 01:09 WA9PIE Note Added: 0005012
2018-05-12 01:09 WA9PIE Status resolved => closed
2018-05-13 15:25 WA9PIE Fixed in Version 6.4.0.837 => 6.4.0.840
2018-05-13 15:26 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe